[SOLVED] Wrong plugin version loaded (windy-plugin-regadata)



  • Hi,

    Yesterday I have published a new plugin to load the boat tracks of the VG2020 offshore race.
    It is working great, and I hope to get it in the list of approved plugins soon! :)
    However, I have pushed 2 versions since yesterday (see https://www.npmjs.com/package/windy-plugin-regadata , the latest version is v1.0.2) but when loading the plugin in windy.com/plugins it still loads v1.0.0.

    Is there a way to force windy to load the latest version of a plugin? I could not find the instructions in the docs.

    Thanks for you help!
    Kevin.


  • Code contributor | Premium

    @kbsali

    It takes a few minutes for npm to update. At the moment version 1.0.2 loads, though if you click debug, it still shows 1.0.1. This happens if you update the version number in package.json, after compiling it plugin.js. The original version number is then still included in plugin.js. It does not matter at all, just looks confusing.


Log in to reply
 

Windyty, S.E. - all rights reserved. Powered by excellent NodeBB
NodeBB & contributors, OSM & contributors, HERE maps
Terms and Conditions     Privacy Policy